Un utente ha chiesto informazioni su Advanced Forms di Wordpress

Messaggio di errore: convalida non riuscita. % D richiede campi che non vengono spostati

Un utente ha chiesto 👇

Ciao team di Advanced Forms,

convalida del messaggio di errore non riuscita. non è necessario prestare attenzione a% d campi. Mentre in ACF entrambe le serie “Validation failed.” e “% d campi richiedono attenzione” è già spostato nei file .pot.

Perché AF non accetta queste stringhe di trasferimento?

Grazie in anticipo

(@christophekonig)

1 anno, 5 mesi fa

Ho lo stesso problema e sto cercando una soluzione …

(@christophekonig)

1 anno, 5 mesi fa

Il problema è che i termini di trasferimento non vengono caricati nell’ordine corretto quando il modulo viene visualizzato all’esterno dell’amministratore.

Ho trovato un modo molto debole per risolvere questo problema.

Nel tuo functions.php, incolla questo:

add_action('acf/enqueue_scripts', 'af_translation_fix', 10, 0);

function af_translation_fix()
{
	if(!is_admin())
	{
		acf_localize_text(array(
				
			// unload
			'The changes you made will be lost if you navigate away from this page'	=> __('The changes you made will be lost if you navigate away from this page', 'acf'),
			
			// media
			'Select.verb'			=> _x('Select', 'verb', 'acf'),
			'Edit.verb'				=> _x('Edit', 'verb', 'acf'),
			'Update.verb'			=> _x('Update', 'verb', 'acf'),
			'Uploaded to this post'	=> __('Uploaded to this post', 'acf'),
			'Expand Details' 		=> __('Expand Details', 'acf'),
			'Collapse Details' 		=> __('Collapse Details', 'acf'),
			'Restricted'			=> __('Restricted', 'acf'),
			'All images'			=> __('All images', 'acf'),
			
			// validation
			'Validation successful'			=> __('Validation successful', 'acf'),
			'Validation failed'				=> __('Validation failed', 'acf'),
			'1 field requires attention'	=> __('1 field requires attention', 'acf'),
			'%d fields require attention'	=> __('%d fields require attention', 'acf'),
			
			// tooltip
			'Are you sure?'			=> __('Are you sure?','acf'),
			'Yes'					=> __('Yes','acf'),
			'No'					=> __('No','acf'),
			'Remove'				=> __('Remove','acf'),
			'Cancel'				=> __('Cancel','acf'),
			
			// conditions
			'Has any value'				=> __('Has any value', 'acf'),
			'Has no value'				=> __('Has no value', 'acf'),
			'Value is equal to'			=> __('Value is equal to', 'acf'),
			'Value is not equal to'		=> __('Value is not equal to', 'acf'),
			'Value matches pattern'		=> __('Value matches pattern', 'acf'),
			'Value contains'			=> __('Value contains', 'acf'),
			'Value is greater than'		=> __('Value is greater than', 'acf'),
			'Value is less than'		=> __('Value is less than', 'acf'),
			'Selection is greater than'	=> __('Selection is greater than', 'acf'),
			'Selection is less than'	=> __('Selection is less than', 'acf'),
			
			// misc
			'Edit field group'	=> __('Edit field group', 'acf'),
		));
	}
}

Lanciatore di thread

(@bastianfiessinger)

1 anno, 5 mesi fa

@christophekonig Grazie per il tuo aiuto.

Autore del plugin

(@fabianlindfors)

1 anno, 5 mesi fa

Ciao!

Anche un altro utente ha riscontrato questo problema la scorsa settimana e ho messo insieme una soluzione. Potresti provare a installare il plugin da Github: https://github.com/advancedforms/advanced-forms e vedere se questo lo risolve?

Grazie!

Lanciatore di thread

(@bastianfiessinger)

1 anno, 5 mesi fa

Ciao @fabianlindfors al momento il modulo PRO per moduli avanzati è installato nella pagina.

Quindi non è la migliore idea scaricare e installare il numero principale da Github.

Al momento l’arrangiamento di @christophekonig fa il trucco.
Ci sarà presto un aggiornamento?

Autore del plugin

(@fabianlindfors)

1 anno, 5 mesi fa

Vedo! Spero di rilasciare la 1.6.5 nei prossimi giorni che includerà questa correzione.

Was this helpful?

0 / 0

Lascia un commento 0

Your email address will not be published. Required fields are marked *